html.has-modal-open {
    overflow: hidden
}

.wp-block-navigation-item:not(.current-menu-item) .wp-block-navigation-item__content {
    opacity: .9;
}

.wp-block-navigation-item {
   font-weight: 400; 
}


header .current-menu-item {
    font-weight: 600;
}

/* ANIMATION */
.wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) .wp-block-navigation__container a {
    display: inline-block;
    position: relative;
    text-decoration: none;
}



.wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) .wp-block-navigation__container a::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    border-radius: 5px;
    height: 0.05em;
    bottom: 0;
    left: 0;
    background: currentcolor;
    transform-origin: bottom right;
    transition: transform 0.5s ease-out;
}

.wp-block-navigation__container a:hover,
.wp-block-navigation__container a:hover:after {
    opacity: .8;
}

.wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) .wp-block-navigation__container a:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.wp-block-navigation {
    position: relative;
    --navigation-layout-justification-setting: flex-start;
    --navigation-layout-direction: row;
    --navigation-layout-wrap: wrap;
    --navigation-layout-justify: flex-start;
    --navigation-layout-align: center
}

/* Gestione completa del gap ereditato */
.wp-block-navigation .wp-block-page-list,
.wp-block-navigation__container,
.wp-block-navigation__responsive-close,
.wp-block-navigation__responsive-container,
.wp-block-navigation__responsive-container-content,
.wp-block-navigation__responsive-dialog {
    gap: inherit
}

.wp-block-navigation button {
    border: none;
    background: none;
}

.wp-block-navigation ul,
.wp-block-navigation ul li {
    list-style: none;
    padding: 0
}

.wp-block-navigation-item.has-child .wp-block-navigation__submenu-container {
    display: flex;
    flex-direction: column;
}

.wp-block-navigation .wp-block-navigation-item {
    align-items: center;


}

.wp-block-navigation .wp-block-navigation-item {
    display: flex;
    flex-wrap: wrap;
}

.wp-block-navigation-item__content {
    display: inline;
}


.wp-block-navigation .wp-block-navigation-item__content {
    color: inherit
}

.wp-block-navigation .wp-block-navigation__submenu-icon {
    background-color: inherit;
    color: currentColor
}

.wp-block-navigation .wp-block-navigation__submenu-icon svg {
    stroke: currentColor
}

.wp-block-navigation.is-vertical {
    --navigation-layout-direction: column;
    --navigation-layout-justify: initial;
    --navigation-layout-align: flex-start
}

.wp-block-navigation.items-justified-center {
    --navigation-layout-justification-setting: center;
    --navigation-layout-justify: center
}

.wp-block-navigation.items-justified-right {
    --navigation-layout-justification-setting: flex-end;
    --navigation-layout-justify: flex-end
}

.wp-block-navigation.items-justified-space-between {
    --navigation-layout-justification-setting: space-between;
    --navigation-layout-justify: space-between
}




.wp-block-navigation-submenu__toggle {
    border: none;
    display: flex;
    align-self: center;
    margin-top: .25em;
}

.wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) li.wp-block-navigation-item.has-child>button.wp-block-navigation-submenu__toggle::after {
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-height: 2rem;
    z-index: 99;
    position: absolute;
}

@media (min-width: 900px) {

    .glassmorphism {
        backdrop-filter: blur(9px);
        -webkit-backdrop-filter: blur(9px);

    }

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) .has-child .wp-block-navigation__submenu-container {
        box-shadow: .1rem 1rem 1rem .1rem rgba(0, 0, 0, 0.2);
    }



    .wp-block-navigation__responsive-container-close,
    .wp-block-navigation__responsive-container-open {
        display: none;
    }

    .wp-block-navigation .wp-block-navigation-item, .wp-block-navigation  .wp-block-pages-list__item {
        position: relative
    }

}



.wp-block-navigation .has-child .wp-block-navigation__submenu-container {

    background-color: inherit;
    color: inherit;

}



/* SUBMENU DESKTOP ANIMATION */

@media (min-width: 900px) {

    .wp-block-navigation__responsive-container {
        background-color: transparent !important;
    }

    .wp-block-page-list .wp-block-navigation__submenu-container{
        background-color: inherit;
    }

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) li.wp-block-navigation-item.has-child ul.wp-block-navigation__submenu-container {
        min-width: 200px;
    }

    .wp-block-navigation .has-child .wp-block-navigation__submenu-container {
        min-width: 100%;
    }


    /* .wp-block-navigation-submenu = li e all'interno dell'li ce ul.wp-block-navigation__submenu-container */

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) li.has-child ul.wp-block-navigation__submenu-container{
        display: flex;
        visibility: hidden;
        flex-direction: column;
        position: absolute;
        z-index: -1;
        opacity: 0;
        top: 300%;
        border-radius: .5rem;
        padding: 1rem;
        left: 0;
        transition: all .2s ease-in;
    }

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) li.has-child ul.wp-block-navigation__submenu-container::before {
        content: "";
        width: 100%;
        height: 105%;
        top: -5%;
        left: 0;
        position: absolute;
        padding: 1rem;

    }


    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) li:has(.wp-block-navigation-submenu__toggle[aria-expanded=true]) ul.wp-block-navigation__submenu-container {
        visibility: visible;
        z-index: 1;
        opacity: 1;
        top: 150%;
        left: 0;
    }

    /* li solo del sottomenu */
    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) ul.wp-block-navigation__submenu-container li.wp-block-navigation-item {
        padding: .7rem;
    }

    /* SUBMENU DEL SUBMENU */

    .wp-block-navigation-item:not(.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item.has-child).has-child .wp-block-navigation-item.has-child {
        justify-content: space-between;
    }

    .wp-block-navigation-item:not(.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item.has-child).has-child .wp-block-navigation-item.has-child .wp-block-navigation-submenu__toggle {
        transform: rotate(-90deg);
    }

    /* CHIUSO */
    .wp-block-navigation:not(.is-style-no-submenu) li.wp-block-navigation-item.has-child>.wp-block-navigation__submenu-container>li.wp-block-navigation-item.has-child>.wp-block-navigation__submenu-container {
        opacity: 0;
        top: 0%;
        left: 120%;
    }

    /* APERTO */
    .wp-block-navigation:not(.is-style-no-submenu) li.wp-block-navigation-item.has-child>.wp-block-navigation__submenu-container>li.wp-block-navigation-item.has-child:has(.wp-block-navigation-submenu__toggle[aria-expanded="true"])>.wp-block-navigation__submenu-container {
        opacity: 1;
        left: 100%;
    }

    .wp-block-navigation-item:not(.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item).has-child .wp-block-navigation-submenu__toggle:not(.wp-block-navigation-item .wp-block-navigation-item .wp-block-navigation-submenu__toggle[aria-expanded=true]) svg {
        transform: rotate(0deg);
        transition: transform .1s ease-in-out;
    }

    .wp-block-navigation-item:not(.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item).has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]:not(.wp-block-navigation-item .wp-block-navigation-item .wp-block-navigation-submenu__toggle[aria-expanded=true]) svg {
        transform: rotate(180deg);
    }

}

/* GAP SUBMENU FOOTER */
ul.wp-block-navigation__submenu-container {
    gap: inherit;
}



.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item.has-child {
    row-gap: inherit;
}

.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item.has-child .wp-block-navigation-item {
    padding-left: .4rem;
}


/* submenu__toggle ANIMATION ROTATE */





.wp-block-navigation__container {
    align-items: var(--navigation-layout-align, initial);
    display: flex;
    flex-direction: var(--navigation-layout-direction, initial);
    flex-wrap: var(--navigation-layout-wrap, wrap);
    justify-content: var(--navigation-layout-justify, initial)
}

.wp-block-navigation__responsive-container.is-menu-open {
    background-color: inherit;
    color: inherit
}

.wp-block-navigation.has-background .wp-block-navigation__submenu-container {
    background-color: inherit
}


/* .glassmorphism:has(.wp-block-navigation__responsive-container:not(.is-menu-open)){
    backdrop-filter: blur(9px);
    -webkit-backdrop-filter: blur(9px);
} */





@media (max-width: 899px) {

    .wp-block-navigation ul{
        flex-direction: column !important;
        align-items: start !important;
    }

    :root :where(.wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu)) {
        font-size: clamp(1.2rem, 1.2rem + ((1vw - 0.2rem) * 0.281), 1.5rem);
    }

    .glassmorphism {
        position: relative;
        overflow: hidden;
        z-index: 0;
    }

    .glassmorphism:has(input.wp-block-search__input[aria-hidden='false']) {
        overflow: visible;
    }

    .glassmorphism::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        border-radius: inherit;
        backdrop-filter: blur(9px);
        -webkit-backdrop-filter: blur(9px);
    }

    .wp-block-group:has(> nav.is-responsive) {

        max-width: fit-content;

    }

    .wp-block-group:has(> .wp-block-site-logo) {
        min-width: 10rem;
    }


    .wp-block-navigation-item:not(.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item).has-child .wp-block-navigation-submenu__toggle svg {
        transform: rotate(0deg);
        transition: transform .1s ease-in-out;
    }


    .wp-block-navigation-item:not(.wp-block-navigation.is-style-no-submenu .wp-block-navigation-item).has-child .wp-block-navigation-submenu__toggle[aria-expanded=true] svg {
        transform: rotate(180deg);
    }

    button.wp-block-navigation__responsive-container-open {
        display: flex;
    }

    .wp-block-navigation .has-child .wp-block-navigation__submenu-container {
        min-width: 100%;
    }

    .wp-block-navigation__responsive-container {
        position: fixed;
        top: 0vw;
        left: -150vw;
        transition: left 0.8s cubic-bezier(0.42, 0, 0.38, 1);
        height: 100%;
        z-index: 99 !important;
        width: 90%;
    }






    .wp-block-navigation__responsive-container.is-menu-open {
        position: fixed;
        top: 0;
        left: 0vw;
        width: 90%;
        z-index: 99 !important;
    }

    .wp-block-navigation__responsive-dialog {
        display: flex;
        justify-content: space-between;
        flex-direction: row-reverse;
        align-items: start;
        padding: 4rem 1rem;
    }



    .wp-block-navigation__container {
        display: flex;
        margin: 0;
        flex-direction: column;
        justify-content: start;
        align-items: flex-start;
    }

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) .has-child .wp-block-navigation__submenu-container {
        display: flex;
        visibility: hidden;

        height: 0;
        min-height: 0;
        opacity: 0;
        flex-direction: column;
        min-width: 100%;
        transition: all .3s ease-in-out;

        padding: 0rem;
    }

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) .has-child:has(.wp-block-navigation-submenu__toggle[aria-expanded=true]) .wp-block-navigation__submenu-container {
        visibility: visible;
        height: auto;
        min-height: 1rem;
        opacity: 1;
        padding: 0 .5rem;
    }

    li.wp-block-navigation-item.has-child:has(.wp-block-navigation-submenu__toggle[aria-expanded=true]) {
        row-gap: inherit;
    }

    /* .wp-block-navigation .has-child:has(.wp-block-navigation-submenu__toggle[aria-expanded=true]) .wp-block-navigation__submenu-container .wp-block-navigation-item{
    padding: 1rem;
} */

    .wp-block-navigation .wp-block-navigation-item {
        position: relative;
    }

    .wp-block-navigation:not(.wp-block-navigation.is-style-no-submenu) li.wp-block-navigation-item.has-child>button.wp-block-navigation-submenu__toggle::after {
        content: "";
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        max-height: 2rem;
        z-index: 99;
        position: absolute;
    }

    .wp-block-navigation .has-child:has(.wp-block-navigation-submenu__toggle[aria-expanded=true]) .wp-block-navigation__submenu-container .wp-block-navigation-item:last-child {
        padding-bottom: 0;
    }

}